package de.ozgcloud.aggregation.warehouse;

import java.util.List;
import java.util.stream.StreamSupport;

import org.springframework.data.mongodb.core.MongoTemplate;

import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
class CustomWarehouseRepositoryImpl implements CustomWarehouseRepository {

	private final MongoTemplate mongoTemplate;

	@Override
	public List<DocumentEntry> saveAllInCollection(Iterable<DocumentEntry> documentEntries, String collectionName) {
		return StreamSupport.stream(documentEntries.spliterator(), false).map(entry -> saveInCollection(entry, collectionName)).toList();
	}

	@Override
	public DocumentEntry saveInCollection(DocumentEntry documentEntry, String collectionName) {
		return mongoTemplate.save(documentEntry, collectionName);
	}

	@Override
	public void clearCollection(String collectionName) {
		mongoTemplate.dropCollection(collectionName);
	}

}
