package de.ozgcloud.aggregation.data;

import java.time.ZonedDateTime;
import java.util.Map;

import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.TypeAlias;
import org.springframework.data.mongodb.core.mapping.Document;

import lombok.Builder;
import lombok.EqualsAndHashCode;
import lombok.Getter;

@Builder(toBuilder = true)
@Getter
@EqualsAndHashCode
@TypeAlias("AggregationData")
@Document(collection = AggregationData.COLLECTION)
class AggregationData {

	static final String COLLECTION = "AggregationData";

	@Id
	private String id;

	private String kommune;
	private String status;
	private ZonedDateTime eingangDatum;
	private String vorgangName;
	private Map<String, Object> payload;
}
