package de.ozgcloud.aggregation.data;

import static org.mockito.Mockito.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;

import com.thedeanda.lorem.LoremIpsum;

class AggregationDataServiceTest {

	@InjectMocks
	private AggregationDataService service;

	@Mock
	private AggregationDataRepository repository;

	@Nested
	class TestSave {

		@Test
		void shouldSaveInRepository() {
			var aggregationData = AggregationDataTestFactory.create();
			var mappingName = LoremIpsum.getInstance().getWords(1);

			service.save(aggregationData, mappingName);

			verify(repository).saveInCollection(aggregationData, mappingName);
		}
	}
}
