package de.ozgcloud.aggregation.data;

import java.time.ZonedDateTime;
import java.util.List;
import java.util.Map;

import com.thedeanda.lorem.LoremIpsum;

public class AggregationDataTestFactory {

	public static final String KOMMUNE = LoremIpsum.getInstance().getWords(1);
	public static final String ID = GrpcAggregationDataTestFactory.ID;
	public static final String STATUS = GrpcAggregationDataTestFactory.STATUS;
	public static final ZonedDateTime EIGNANG_DATUM = ZonedDateTime.parse(GrpcAggregationDataTestFactory.EINGANG_DATUM);
	public static final String VORGANG_NAME = GrpcAggregationDataTestFactory.VORGANG_NAME;
	public static final Map<String, Object> PAYLOAD = Map.of(
			GrpcPropertyTestFactory.STRING_KEY, GrpcPropertyTestFactory.STRING_VALUE,
			GrpcPropertyTestFactory.LIST_KEY, List.of(GrpcPropertyTestFactory.LIST_VALUE),
			GrpcPropertyTestFactory.MAP_KEY, Map.of(GrpcPropertyTestFactory.NESTED_MAP_KEY, GrpcPropertyTestFactory.MAP_VALUE));

	public static AggregationData create() {
		return createBuilder().build();
	}

	public static AggregationData.AggregationDataBuilder createBuilder() {
		return AggregationData.builder()
				.id(ID)
				.kommune(KOMMUNE)
				.status(STATUS)
				.eingangDatum(EIGNANG_DATUM)
				.vorgangName(VORGANG_NAME)
				.payload(PAYLOAD);
	}
}
