package de.ozgcloud.aggregation.data;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.ArgumentMatchers.*;
import static org.mockito.Mockito.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.springframework.data.mongodb.core.MongoTemplate;

import com.thedeanda.lorem.LoremIpsum;

class CustomAggregationDataRepositoryImplTest {

	@InjectMocks
	private CustomAggregationDataRepositoryImpl repository;
	@Mock
	private MongoTemplate mongoTemplate;

	@Nested
	class TestSaveInCollection {

		private final AggregationData aggregationData = AggregationDataTestFactory.create();
		private final String collectionName = LoremIpsum.getInstance().getWords(1);

		@BeforeEach
		void mock() {
			when(mongoTemplate.save(any(), any())).thenReturn(aggregationData);
		}

		@Test
		void shouldSaveInCollection() {
			repository.saveInCollection(aggregationData, collectionName);

			verify(mongoTemplate).save(aggregationData, collectionName);
		}

		@Test
		void shouldReturnSavedAggregationData() {
			var result = repository.saveInCollection(aggregationData, collectionName);

			assertThat(result).isSameAs(aggregationData);
		}
	}
}
