package de.ozgcloud.aggregation.data;

import java.time.ZonedDateTime;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.aggregation.data.GrpcAggregationData.Builder;

public class GrpcAggregationDataTestFactory {

	public static final GrpcObject PAYLOAD = GrpcObjectTestFactory.create();
	public static final String STATUS = LoremIpsum.getInstance().getWords(1);
	public static final String ID = UUID.randomUUID().toString();
	public static final String EINGANG_DATUM = ZonedDateTime.now().toString();
	public static final String VORGANG_NAME = LoremIpsum.getInstance().getWords(1);

	public static GrpcAggregationData create() {
		return createBuilder().build();
	}

	public static Builder createBuilder() {
		return GrpcAggregationData.newBuilder()
				.setId(ID)
				.setStatus(STATUS)
				.setEingangDatum(EINGANG_DATUM)
				.setVorgangName(VORGANG_NAME)
				.setPayload(PAYLOAD);
	}
}
