package de.ozgcloud.aggregation.data;

public class GrpcPropertyTestFactory {

    public static final String STRING_VALUE = "stringValue";
    public static final String STRING_KEY = "stringKey";
    public static final String LIST_VALUE = "listValue";
    public static final String LIST_KEY = "listKey";
    public static final String MAP_VALUE = "mapValue";
    public static final String MAP_KEY = "mapKey";
    public static final String NESTED_MAP_KEY = "nestedMapKey";

    public static GrpcProperty createStringProperty() {
        return GrpcProperty.newBuilder()
                .setKey(STRING_KEY)
                .setValue(GrpcElement.newBuilder()
                        .setStringValue(STRING_VALUE)
                        .build())
                .build();
    }

    public static GrpcProperty createListProperty() {
        return GrpcProperty.newBuilder()
                .setKey(LIST_KEY)
                .setValue(GrpcElement.newBuilder()
                        .setListValue(GrpcElementList.newBuilder()
                                .addElements(GrpcElement.newBuilder()
                                        .setStringValue(LIST_VALUE)
                                        .build())
                                .build())
                        .build())
                .build();
    }

    public static GrpcProperty creatMapProperty() {
        return GrpcProperty.newBuilder()
                .setKey(MAP_KEY)
                .setValue(GrpcElement.newBuilder()
                        .setObjectValue(GrpcObject.newBuilder()
                                .addProperties(GrpcProperty.newBuilder()
                                        .setKey(NESTED_MAP_KEY)
                                        .setValue(GrpcElement.newBuilder().setStringValue(MAP_VALUE).build())
                                        .build())
                                .build())
                        .build())
                .build();
    }

}
